package com.hotent.base.jwt;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class JwtCustomAuthenticationResponse implements Serializable {

    private static final long serialVersionUID = -8970713410806903515L;

    private String customKey;
    private String customId;
    private String userType;
    private Long expiration;
    private String token;
    private Map<String,Object> customAttrs = new HashMap<String, Object>();

    public JwtCustomAuthenticationResponse(String customKey, String userType, Long expiration, String token) {
        this.customKey = customKey;
        this.userType = userType;
        this.expiration = expiration;
        this.token = token;
    }

    public JwtCustomAuthenticationResponse(String customKey, String customId, String userType, Long expiration, String token, Map<String, Object> customAttrs) {
        this.customKey = customKey;
        this.customId = customId;
        this.userType = userType;
        this.expiration = expiration;
        this.token = token;
        this.customAttrs = customAttrs;
    }

    public String getCustomKey() {
        return customKey;
    }

    public void setCustomKey(String customKey) {
        this.customKey = customKey;
    }

    public String getCustomId() {
        return customId;
    }

    public void setCustomId(String customId) {
        this.customId = customId;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public Map<String, Object> getCustomAttrs() {
        return customAttrs;
    }

    public void setCustomAttrs(Map<String, Object> customAttrs) {
        this.customAttrs = customAttrs;
    }

    public Long getExpiration() {
        return expiration;
    }

    public void setExpiration(Long expiration) {
        this.expiration = expiration;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }


}
